Alerts
List evaluated time series of alert
Authorization
API key Alerts: readAuthorizationBearer <token>
API key (sf_...) with any of the required scopes. Generate it in the Spotflow portal on the settings page.
In: header
Scope: Alerts: read
Path Parameters
workspaceId*string
Format
uuidalertId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
ascending?null|boolean
limit?||
Match
^-?(?:0|[1-9]\d*)$Format
int32cursor?null|string
filter?null|
Response Body
application/json
application/problem+json
application/problem+json
curl -X POST "https://example.com/workspaces/00000000-0000-0000-0000-000000000001/alerts/c6Hy71wPd3Mv/evaluated-time-series/list" \ -H "Content-Type: application/json" \ -d '{ "ascending": false, "limit": 50, "filter": { "state": [ "Firing" ], "deviceId": [ "thermostat-0042" ] } }'Page of time series evaluated by the alert rule.
{ "evaluatedTimeSeries": [ { "id": "s9Cv36gTn8Ku", "metricName": "cpu", "labels": { "core": "0", "unit": "percent" }, "deviceId": "thermostat-0042", "evaluatedValue": { "fixed": { "value": 96.4 } }, "startedAt": "2026-01-12T14:05:12+00:00" } ], "hasMore": false}